Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.text
Class SimpleTemplateEngine

    java.lang.Object
      groovy.text.TemplateEngine
          groovy.text.SimpleTemplateEngine

    public class SimpleTemplateEngine

extends TemplateEngine

This simple template engine uses JSP <% %> script and <%= %> expression syntax. It also lets you use normal groovy expressions in the template text much like the new JSP EL functionality. The variable 'out' is bound to the writer that the template is being written to.

Author:
  sam, Christian Stein, Paul King

Constructor Summary
`SimpleTemplateEngine()`
`SimpleTemplateEngine(boolean verbose)`
`SimpleTemplateEngine(ClassLoader parentLoader)`
`SimpleTemplateEngine(GroovyShell groovyShell)`

Method Summary
`Template` | `createTemplate(Reader reader)`
`boolean` | `isVerbose()`
`void` | `setVerbose(boolean verbose)`

Methods inherited from class groovy.text.TemplateEngine
`createTemplate, createTemplate, createTemplate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTemplateEngine

    public SimpleTemplateEngine()

### SimpleTemplateEngine

    public SimpleTemplateEngine(boolean verbose)

### SimpleTemplateEngine

    public SimpleTemplateEngine(ClassLoader parentLoader)

### SimpleTemplateEngine

    public SimpleTemplateEngine(GroovyShell groovyShell)

Method Detail

### createTemplate

    public Template createTemplate(Reader reader)
                            throws CompilationFailedException,
                                   IOException

  Specified by:
    `createTemplate` in class `TemplateEngine`
  Throws:
    `CompilationFailedException`
    `IOException`

### setVerbose

    public void setVerbose(boolean verbose)

### isVerbose

    public boolean isVerbose()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD